---
type: api
title: Get saved query details
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-osquerygetsavedquerydetails
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-osquerygetsavedquerydetails
products:
  - Kibana
---

# Get saved query details

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/osquery/saved_queries/{id}`
- `GET` `/s/{space_id}/api/osquery/saved_queries/{id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#basicauth)

#### Path Parameters

- `id` (string)
  The saved query ID.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get the details of a saved query using the query ID.

## Response

Indicates a successful call.

`application/json`

- `data` (object)
  - `created_at` (string)
  - `created_by` (string) — nullable
  - `created_by_profile_uid` (string)
  - `description` (string)
    The saved query description.
  - `ecs_mapping` (object)
    Map osquery results columns or static values to Elastic Common Schema (ECS) fields
  - `id` (string)
    The ID of a saved query.
  - `interval` (integer | string)
  - `platform` (string)
    Restricts the query to a specified platform. The default is all platforms. To specify multiple platforms, use commas. For example, `linux,darwin`.
  - `prebuilt` (boolean)
  - `query` (string)
    The SQL query you want to run.
  - `removed` (boolean)
    Indicates whether the query is removed.
  - `saved_object_id` (string)
  - `snapshot` (boolean)
    Indicates whether the query is a snapshot.
  - `timeout` (integer)
  - `updated_at` (string)
  - `updated_by` (string) — nullable
  - `updated_by_profile_uid` (string)
  - `version` (integer | string)
## Code Examples

#### Console

```console
GET /api/osquery/saved_queries/{id}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/osquery/saved_queries/{id}"
```

## Response Examples

#### Saved query details

```json
{
  "data": {
    "created_at": "2025-02-26T13:37:30.452Z",
    "created_by": "elastic",
    "description": "Saved query description",
    "ecs_mapping": {
      "host.uptime": {
        "field": "total_seconds"
      }
    },
    "id": "my_saved_query",
    "interval": "60",
    "platform": "linux,darwin",
    "query": "select * from uptime;",
    "saved_object_id": "42ba1280-2172-11ee-8523-5765fca79a3c",
    "timeout": 120,
    "updated_at": "2025-02-26T13:37:30.452Z",
    "updated_by": "elastic"
  }
}
```

